Bug 43775 - The tomcat6.exe in source download in tar.gz is broken (ok in zip)
The tomcat6.exe in source download in tar.gz is broken (ok in zip)
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.14
Other Linux
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
http://tomcat.apache.org
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-11-01 12:58 UTC by Fred K
Modified: 2008-01-10 13:32 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fred K 2007-11-01 12:58:29 UTC
Hi,

I observed that following files in the source download apache-tomcat-6.0.14-
src.tar.gz 

   apache-tomcat-6.0.14-src/res/procrun/tomcat6.exe
   apache-tomcat-6.0.14-src/res/procrun/tomcat6w.exe

do not work.  However, the same files in apache-tomcat-6.0.14-src.zip do work 
properly.

On Linux I expended the zip file in apache-tomcat-6.0.14-src-zip and tar.gz in 
apache-tomcat-6.0.14-src then diffed the content:

bash-3.1$ diff -bBr --brief apache-tomcat-6.0.14-src apache-tomcat-6.0.14-src-
zip
Files apache-tomcat-6.0.14-src/native/connector/os/win32/logmessages.bin and 
apache-tomcat-6.0.14-src-zip/native/connector/os/win32/logmessages.bin differ
Files apache-tomcat-6.0.14-src/res/procrun/amd64/tomcat6.exe and apache-tomcat-
6.0.14-src-zip/res/procrun/amd64/tomcat6.exe differ
Files apache-tomcat-6.0.14-src/res/procrun/amd64/tomcat6w.exe and apache-
tomcat-6.0.14-src-zip/res/procrun/amd64/tomcat6w.exe differ
Files apache-tomcat-6.0.14-src/res/procrun/ia64/tomcat6.exe and apache-tomcat-
6.0.14-src-zip/res/procrun/ia64/tomcat6.exe differ
Files apache-tomcat-6.0.14-src/res/procrun/ia64/tomcat6w.exe and apache-tomcat-
6.0.14-src-zip/res/procrun/ia64/tomcat6w.exe differ
Files apache-tomcat-6.0.14-src/res/procrun/tomcat6.exe and apache-tomcat-
6.0.14-src-zip/res/procrun/tomcat6.exe differ
Files apache-tomcat-6.0.14-src/res/procrun/tomcat6w.exe and apache-tomcat-
6.0.14-src-zip/res/procrun/tomcat6w.exe differ
Files apache-tomcat-6.0.14-
src/webapps/docs/architecture/requestProcess/requestProcess.pdf and apache-
tomcat-6.0.14-src-
zip/webapps/docs/architecture/requestProcess/requestProcess.pdf differ
Files apache-tomcat-6.0.14-
src/webapps/docs/architecture/startup/serverStartup.pdf and apache-tomcat-
6.0.14-src-zip/webapps/docs/architecture/startup/serverStartup.pdf differ
Files apache-tomcat-6.0.14-src/webapps/docs/tribes/leader-election-initiate-
election.dia and apache-tomcat-6.0.14-src-zip/webapps/docs/tribes/leader-
election-initiate-election.dia differ
Files apache-tomcat-6.0.14-src/webapps/docs/tribes/leader-election-message-
arrives.dia and apache-tomcat-6.0.14-src-zip/webapps/docs/tribes/leader-
election-message-arrives.dia differ

You will also observe that the 2 pdf in the tar.gz will not open without an 
error whereas the same files in the zip will open properly.

I wonder if the problem starts in the dist.xml Ant script <target 
name="package-src-tgz">

<fixcrlf srcdir="${tomcat.dist}/src" 
excludes="**/*.jar,**/*.gif,**/*.bmp,**/*.jpg,**/*.ico,**/*.war" eol="lf"/>

The exclude list should probably exclude also: pdf and exe (also .dia 
and .bin?)

What do you think?

Kind Regards,
Fred
Comment 1 Mark Thomas 2008-01-01 10:12:59 UTC
Fixed in svn and propsoed for 6.0.x
Comment 2 Mark Thomas 2008-01-10 13:32:59 UTC
This has been fixed in svn and will be included in 6.0.16 onwards.